Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.util
Class CayenneMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.TreeMap
              org.apache.commons.collections.FastTreeMap
                  org.apache.cayenne.util.CayenneMap

All Implemented Interfaces:
  Serializable, Cloneable, Map, NavigableMap, SortedMap

Deprecated. since 3.0 this map is not used by Cayenne internally.

    public class CayenneMap

extends org.apache.commons.collections.FastTreeMap

A `CayenneMap` is a specialized double-linked sorted map class. Attempts to add objects using an already existing keys will result in IllegalArgumentExceptions. Any added entries that implement CayenneMapEntry interface will have their parent set to the parent of this map.

CayenneMap is not subclassed directly, but is rather used as an instance variable within another class. Enclosing instance would set itself as a parent of this map.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary
`protected Object` | `parent` Deprecated.

Fields inherited from class org.apache.commons.collections.FastTreeMap
`fast, map`

Constructor Summary
`CayenneMap(Object parent)` Deprecated. Constructor for CayenneMap.
`CayenneMap(Object parent, Comparator c)` Deprecated. Constructor for CayenneMap.
`CayenneMap(Object parent, Map m)` Deprecated. Constructor for CayenneMap.
`CayenneMap(Object parent, SortedMap m)` Deprecated. Constructor for CayenneMap.

Method Summary
`Object` | `getParent()` Deprecated. Returns the parent.
`Object` | `put(Object key, Object value)` Deprecated. Maps specified key-value pair.
`void` | `putAll(Map t)` Deprecated.
`void` | `setParent(Object mapParent)` Deprecated.

Methods inherited from class org.apache.commons.collections.FastTreeMap
`clear, clone, comparator, containsKey, containsValue, entrySet, equals, firstKey, get, getFast, hashCode, headMap, isEmpty, keySet, lastKey, remove, setFast, size, subMap, tailMap, values`

Methods inherited from class java.util.TreeMap
`ceilingEntry, ceilingKey, descendingKeySet, descendingMap, firstEntry, floorEntry, floorKey, headMap, higherEntry, higherKey, lastEntry, lowerEntry, lowerKey, navigableKeySet, pollFirstEntry, pollLastEntry, subMap, tailMap`

Methods inherited from class java.util.AbstractMap
`toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    protected Object parent

  Deprecated.

Constructor Detail

### CayenneMap

    public CayenneMap(Object parent)

  Deprecated.
  Constructor for CayenneMap.

### CayenneMap

    public CayenneMap(Object parent,
                      Comparator c)

  Deprecated.
  Constructor for CayenneMap.

  Parameters:
    `c` -

### CayenneMap

    public CayenneMap(Object parent,
                      Map m)

  Deprecated.
  Constructor for CayenneMap.

  Parameters:
    `m` -

### CayenneMap

    public CayenneMap(Object parent,
                      SortedMap m)

  Deprecated.
  Constructor for CayenneMap.

  Parameters:
    `m` -

Method Detail

### put

    public Object put(Object key,
                      Object value)

  Deprecated.
  Maps specified key-value pair. If value is a CayenneMapEntry, sets its parent to this map.

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `org.apache.commons.collections.FastTreeMap`
  See Also:
    `Map.put(Object, Object)`

### putAll

    public void putAll(Map t)

  Deprecated.
  Specified by:
    `putAll` in interface `Map`
  Overrides:
    `putAll` in class `org.apache.commons.collections.FastTreeMap`
  See Also:
    `Map.putAll(Map)`

### getParent

    public Object getParent()

  Deprecated.
  Returns the parent.

  Returns:
    Object

### setParent

    public void setParent(Object mapParent)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.